My Project

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Typedefs Groups Pages
Public Member Functions | List of all members
NexPage Class Reference
Nextion Component

`#include <NexPage.h>`

Inheritance diagram for NexPage:

## Public Member Functions
| NexPage (uint8_t pid, uint8_t cid, const char *name)
bool | show (void)
Public Member Functions inherited from NexTouch
| NexTouch (uint8_t pid, uint8_t cid, const char *name)
void | attachPush (NexTouchEventCb push, void *ptr=NULL)
void | detachPush (void)
void | attachPop (NexTouchEventCb pop, void *ptr=NULL)
void | detachPop (void)
Public Member Functions inherited from NexObject
| NexObject (uint8_t pid, uint8_t cid, const char *name)
void | printObjInfo (void)

## Additional Inherited Members
Static Public Member Functions inherited from NexTouch
static void | iterate (NexTouch **list, uint8_t pid, uint8_t cid, int32_t event)
Protected Member Functions inherited from NexObject
uint8_t | getObjPid (void)
uint8_t | getObjCid (void)
const char * | getObjName (void)

## Detailed Description

A special component , which can contain other components such as NexButton, NexText and NexWaveform, etc.

## Constructor & Destructor Documentation

NexPage::NexPage | ( | uint8_t | pid,
|  | uint8_t | cid,
|  | const char * | name
| ) |  |

Constructor.

Parameters

  pid | - page id.
  cid | - component id.
  name | - pointer to an unique name in range of all components.

## Member Function Documentation

bool NexPage::show | ( | void |  | ) |

Show itself.

Returns
  true if success, false for faileure.

The documentation for this class was generated from the following files:

- NexPage.h
- NexPage.cpp